/*
 * Copyright (c) Baidu Inc. All rights reserved.
 *
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.baidu.brcc.config;

import static org.mockito.Mockito.mock;

import org.junit.Assert;
import org.junit.Test;
import org.springframework.data.redis.connection.RedisConnectionFactory;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.data.redis.serializer.StringRedisSerializer;

public class CacheConfigTest {
    CacheConfig cacheConfig = new CacheConfig();

    @Test
    public void testRedisTemplate() throws Exception {
        RedisConnectionFactory connectionFactory = mock(RedisConnectionFactory.class);
        RedisTemplate<String, Object> result = cacheConfig.redisTemplate(connectionFactory);
        Assert.assertEquals(StringRedisSerializer.class, result.getKeySerializer().getClass());
        Assert.assertEquals(StringRedisSerializer.class, result.getValueSerializer().getClass());
        Assert.assertEquals(StringRedisSerializer.class, result.getHashKeySerializer().getClass());
        Assert.assertEquals(StringRedisSerializer.class, result.getHashValueSerializer().getClass());
    }
}
